SDL-0.6.6.0: Binding to libSDL

Safe Haskell | None
Language | Haskell98

Graphics.UI.SDL.CPUInfo

Synopsis

- hasRDTSC :: Bool
- hasMMX :: Bool
- hasMMXExt :: Bool
- has3DNow :: Bool
- has3DNowExt :: Bool
- hasSSE :: Bool
- hasSSE2 :: Bool
- hasAltiVec :: Bool

# Documentation

hasRDTSC :: Bool Source #

This function returns `True` if the CPU has the RDTSC instruction.

hasMMX :: Bool Source #

This function returns `True` if the CPU has MMX features.

hasMMXExt :: Bool Source #

This function returns `True` if the CPU has MMX Ext. features.

has3DNow :: Bool Source #

This function returns `True` if the CPU has 3DNow features.

has3DNowExt :: Bool Source #

This function returns `True` if the CPU has 3DNow! Ext. features.

hasSSE :: Bool Source #

This function returns `True` if the CPU has SSE features.

hasSSE2 :: Bool Source #

This function returns `True` if the CPU has SSE2 features.

hasAltiVec :: Bool Source #

This function returns `True` if the CPU has AltiVec features.